package easik.database.types;

import java.sql.Types;
import java.sql.PreparedStatement;
import java.sql.SQLException;

/**
 * A class representing a DATE SQL data type.  A DATE value stores a DATE (such
 * (such as '2008-06-12') without a time.  See also TIME and TIMESTAMP.
 */
public class Date extends Type {
	public String toString() { return "DATE"; }

	//Input will be in the form of selecting from a popup callender
	public boolean verifyInput(String input){ return true; }

	public int getSqlType(){ return Types.DATE; }

	public void bindValue(PreparedStatement ps, int col, String value) throws SQLException{
		ps.setDate(col, new java.sql.Date(Long.parseLong(value)));
	}
}
