package easik.database.types;

import java.sql.Types;
import java.sql.PreparedStatement;
import java.sql.SQLException;

/**
 * A class representing a TEXT SQL data type.  A TEXT can store an unlimited
 * amount of text data (though some drivers impose a limit--for example, the
 * maximum size under MySQL is 4GB).  This type will be mapped to the largest
 * text type supported by the database (under MySQL, BIGTEXT; under most other
 * databases, TEXT).
 */
public class Text extends Type {
	public String toString() { return "TEXT"; }

	public boolean verifyInput(String input){
		return true;
	}

	public int getSqlType(){ return Types.CLOB; }//FIXME??

	public void bindValue(PreparedStatement ps, int col, String value) throws SQLException{
		ps.setString(col, value);
	}
}
