package easik.sketch.util.graph;

import java.awt.geom.Point2D;
import org.jgraph.graph.EdgeView;
import easik.sketch.edge.SketchEdge;

/**
 * A view class for the entity edges.  We only use this to override the label
 * vector for self-referencing loops: the default (average all the points) is
 * completely useless.  Instead, we change it to go to the middle point, instead
 * of to the average point.
 */
public class SketchEdgeView extends EdgeView {
	public SketchEdgeView(SketchEdge node) {
		super(node);
	}

	public Point2D getLabelVector() {
		if (labelVector == null && isLoop() && getPointCount() == 5) {
			Point2D p0 = getPoint(0), p2 = getPoint(2), p4 = getPoint(4);
			return (labelVector = new Point2D.Double(p2.getX()-p0.getX(), (p2.getY()-p0.getY()+10)*2));
		}
		return super.getLabelVector();
	}
}
