package easik.sketch.util.graph;

import java.awt.geom.Point2D;

import java.awt.image.*;
import javax.swing.*;
import java.awt.*;
import javax.swing.*;
import java.io.*;

import javax.swing.JLabel;

import org.jgraph.JGraph;
import org.jgraph.graph.EdgeView;
import org.jgraph.graph.VertexView;

import easik.Easik;
import easik.sketch.Sketch;
import easik.sketch.vertex.*;

/**
 * A view class for SketchVertexes (EntityNodes and Constraints).  We override this
 * to use our own Vertex renderer, since the default JGraph one is based on a JLabel,
 * which is inappropriate for Easik.
 *
 * @see org.jgraph.graph.VertexView
 */
public class SketchVertexView extends VertexView {
	/** The renderer for this view */
	public static transient SketchVertexRenderer _renderer = new SketchVertexRenderer();

	/**
	 * Sets the cell that this view will be used to render.
	 *
	 * @param cell The SketchVertex to be rendered by this view.
	 */
	public SketchVertexView(SketchVertex cell) {
		super(cell);
	}

	/**
	 * Returns our made-for-Easik vertex renderer
	 */
	public SketchVertexRenderer getRenderer() {
		return _renderer;
	}

	/**
	 * Returns a perimeter point for edges to use.
	 *
	 * @param edge The edge
	 * @param source The source of the edge
	 * @param p The desitination of the edge
	 * @return The perimeter intersection point
	 */
	public Point2D getPerimeterPoint(EdgeView edge, Point2D source, Point2D p) {
		return getRenderer().getPerimeterPoint(this, source, p);
	}
}

