package easik.sketch.util.graph;

/**
 * Generates JGraph View objects for Easik sketch elements.
 */

import easik.Easik;
import easik.sketch.Sketch;
import easik.sketch.edge.*;
import easik.sketch.vertex.*;
import easik.sketch.constraint.*;

import org.jgraph.graph.*;

public class SketchViewFactory extends DefaultCellViewFactory {
	public SketchViewFactory() {
		super();
	}

	/**
	 * Creates an EdgeView that represents the passed-in edge.
	 */
	protected EdgeView createEdgeView(Object edge) {
		if (edge instanceof SketchEdge) {
			return new SketchEdgeView((SketchEdge) edge);
		}

		return super.createEdgeView(edge);
	}

	/**
	 * Creates a VertexView for viewing the passed-in vertex.
	 */
	protected VertexView createVertexView(Object vertex) {
		return new SketchVertexView((SketchVertex) vertex);
	}

}
