package easik.ui;

import java.util.LinkedList;
import java.util.List;

import javax.swing.JLabel;
import javax.swing.JFrame;
import javax.swing.JTextField;
import javax.swing.JScrollPane;

import easik.ui.Option;
import easik.ui.OptionsDialog;
import easik.ui.JUtils;
import easik.view.vertex.QueryNode;

public class DefineQueryNodeDialog extends OptionsDialog {

	/** The query no which we are editing */
	private QueryNode ourNode;

	/** The inputs for our fields */
	private JTextField name;
	private JScrollPane query;
	
	/**
	 */
	public DefineQueryNodeDialog(JFrame parent, String title, QueryNode inNode){
		super(parent, title);
		setSize(300, 200);
		ourNode = inNode;

		showDialog();
	}

	public List<Option> getOptions() {
		LinkedList<Option> opts = new LinkedList<Option>();

		// Add the name field
		opts.add(new Option(new JLabel("Name"), name = JUtils.textField(ourNode.getName())));
				
		// Add the query area
		opts.add(new Option(new JLabel("Query"), query = JUtils.textArea(ourNode.getQuery())));

		return opts;
	}

	public String getName(){
		return name.getText();
	}

	public String getQuery(){
		return JUtils.taText(query);
	}
}
