package easik.ui;

import java.util.List;

/**
 * Implementing this class by providing the getTabs() method tells
 * OptionsDialog that this options dialog uses tabs, and it will call getTabs()
 * to get the tabs (and contained options) instead of getOptions().
 *
 * You may also wish to override {@link OptionsDialog.getInitialTab(List)} to
 * choose which tab to start out on.
 */
public interface TabbedOptionsDialog {
	/**
	 * Returns a list of OptionTabs to display.
	 */
	public List<OptionTab> getTabs();
}
