package easik.ui.menu;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import javax.swing.JOptionPane;

import easik.sketch.Sketch;
import easik.sketch.states.AddCommutativeDiagramState;
import easik.ui.SketchFrame;


/** 
 * Menu action for adding commutative diagrams.
 * 
 * @author Rob Fletcher 2005
 * @author Kevin Green 2006
 * @version 2006-05-23 Kevin Green
 */
public class AddCommutativeDiagramAction extends AbstractAction {
	
	/*
	 * The Sketch Frame to which this state is referring
	 */
	private SketchFrame _theFrame;

	/**
	 * Create the new action and set the name and description
	 */
	public AddCommutativeDiagramAction(SketchFrame inFrame) {
		super();
		_theFrame = inFrame;
		putValue(AbstractAction.NAME, "Add a Commutative Diagram");
		putValue(
			AbstractAction.SHORT_DESCRIPTION,
			"Add a commutative diagram to sketch");
	}

	/**
	 * When action is performed, attempt to create a new commutative diagram.
	 * 
	 * @param e The action event
	 */
	public void actionPerformed(ActionEvent e) {
		if(!_theFrame.getSketch().getEntities().isEmpty()){
			_theFrame.getSketch().getStateManager().pushState(
					new AddCommutativeDiagramState(_theFrame.getSketch()));	
		}
		else{
			JOptionPane.showMessageDialog(null, "Sketch cannot be empty.", "Error", JOptionPane.ERROR_MESSAGE);
		}
	}
}
