package easik.ui.menu;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.JOptionPane;

import easik.ui.SketchFrame;
import easik.sketch.states.AddEqualizerConstraintState;


/**
 * Add a simple equalizer constraint menu option and action.
 */
public class AddEqualizerConstraintAction extends AbstractAction {

	SketchFrame _theFrame;
	/**
	 * Creates and initializes the menu option.
	 */
	public AddEqualizerConstraintAction(SketchFrame inFrame) {
		super();
		_theFrame = inFrame;
		putValue(AbstractAction.NAME, "Add an Equalizer Constraint");
		putValue(
			AbstractAction.SHORT_DESCRIPTION,
			"Create a equalizer constraint from a set of paths");
	}

	/**
	 * Creates the equalizer if the selection is appropriate.
	 *
	 * @param e The action event
	 */
	public void actionPerformed(ActionEvent e) {
		if (!_theFrame.getSketch().getEntities().isEmpty()) {
			_theFrame.getSketch().getStateManager().pushState(
				new AddEqualizerConstraintState(_theFrame.getSketch()));
		}
		else {
			JOptionPane.showMessageDialog(null, "Sketch cannot be empty.", "Error", JOptionPane.ERROR_MESSAGE);
		}
		
	}
}
