package easik.ui.menu;

import easik.graph.EasikGraphModel;
import easik.sketch.Sketch;
import easik.view.View;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import javax.swing.AbstractAction;

import org.jgraph.JGraph;

/**
 * Menu action for redoing the last undone change.
 */
public class RedoAction extends AbstractAction {
	private JGraph graph;

	public RedoAction(Sketch sketch) {
		this((JGraph) sketch);
	}

	public RedoAction(View view) {
		this((JGraph) view);
	}

	private RedoAction(JGraph graph) {
		super("Redo");
		putValue(AbstractAction.SHORT_DESCRIPTION, "Redo the last undone change");
		this.graph = graph;
		putValue(AbstractAction.MNEMONIC_KEY, KeyEvent.VK_R);
	}

	/**
	 * When action is performed, do a redo.
	 * 
	 * @param e The action event
	 */
	public void actionPerformed(ActionEvent e ) {
		EasikGraphModel model = (EasikGraphModel) graph.getModel();
		if (model.canRedo()) {
			model.redo();
		}
	}
}
