package easik.ui.menu.popup;

import java.awt.event.ActionEvent;

import java.util.*;
import java.sql.*;

import javax.swing.AbstractAction;

import easik.database.DatabaseDriver;
import easik.database.types.*;
import easik.sketch.Sketch;
import easik.ui.datamanip.*;

/**
 * Action for editing the current connection to an SQL server.
 */
public class EditConnectionAction extends AbstractAction {
	/** The sketch who's connection we wish to edit */
	private Sketch _theSketch;

	/**
	 * Prepare the menu option, as well as pass a reference to the last
	 * clicked point, which is used when positioning the new entity.
	 */
	public EditConnectionAction(Sketch inSketch) {
		super("Edit Connection");
		_theSketch = inSketch;
		putValue(
			AbstractAction.SHORT_DESCRIPTION,
			"Edit the existing connection, if one exists");
	}

	/**
	 * Attempt to establish a new connection to an SQL server. If unsuccessful,
	 * the existing connection, if one exists, is unchanged.
	 * @param e The action event
	 */
	public void actionPerformed(ActionEvent e) {
		if( ! _theSketch.hasDatabaseDriver() ){
			System.err.println("This should not ben enabled if no connection exists: easik.ui.menu.popup.EditConnectionAction");
		}
		_theSketch.updateDatabaseDriver();
	}
}
