package easik.ui.menu.popup;


import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import easik.view.View;
import easik.overview.Overview;
import easik.overview.vertex.ViewNode;


/**
 * Action for setting the frame associated with a view node visible.
 */
public class OpenViewAction extends AbstractAction {
	/** The overview in which the action occurs. */
	private Overview _theOverview;

	public OpenViewAction(Overview inOverview){
		super("Open view...");
		_theOverview = inOverview;
	}

	/**
	 * Set the view frame associated with the selected view node as visible.
	 * @param e The action event
	 */
	public void actionPerformed(ActionEvent e) {
		Object[] selection = _theOverview.getSelectionCells();

		for (Object sel: selection) {
			if(sel instanceof ViewNode){
				((ViewNode)sel).getFrame().setVisible(true);
			}
		}

		_theOverview.clearSelection();
	}
}
