package easik.ui.menu.popup;

import java.awt.event.ActionEvent;

import java.util.*;

import java.sql.*;

import javax.swing.AbstractAction;
import javax.swing.JOptionPane;

import easik.database.export.*;
import easik.database.types.*;
import easik.sketch.Sketch;
import easik.sketch.vertex.EntityNode;
import easik.ui.datamanip.*;

/**
 * Action for updating a record in a table represented by an entity node.
 */
public class UpdateRowAction extends AbstractAction {
	/** The sketch in which valid entity nodes exist */
	private Sketch _theSketch;

	/**
	 * Popup menu action for updating values in a given row of a table.
	 */
	public UpdateRowAction(Sketch inSketch) {
		super("Select row and update...");
		_theSketch = inSketch;
		putValue(
			AbstractAction.SHORT_DESCRIPTION,
			"Select a record from table and set new column values.");
	}

	/**
	 * Triggers UpdateMonitor to update a row in the selected table
	 * @param e The action event
	 */
	public void actionPerformed(ActionEvent e) {
		Object[] currentSelection = _theSketch.getSelectionCells();

		if(! (currentSelection[0] instanceof EntityNode) ){
			return;
		}
		EntityNode node = (EntityNode)currentSelection[0];

		UpdateMonitor um = _theSketch.getUpdateMonitor();
		if( um == null){
			JOptionPane.showMessageDialog(null, "Could not perform update: problem accessing database driver");
			return;
		}
		um.updateRow(node);
	}
}
