package easik.ui.menu.popup;

import java.awt.event.ActionEvent;

import java.util.*;

import java.sql.*;

import javax.swing.AbstractAction;
import javax.swing.JTable;

import easik.database.DatabaseDriver;
import easik.database.export.*;
import easik.database.types.*;
import easik.sketch.Sketch;
import easik.sketch.vertex.EntityNode;
import easik.ui.datamanip.SelectDataDialog;
import easik.ui.datamanip.DatabaseUtil;

/**
 * Action to trigger displaying the contents of the table represented by a selected entity node.
 *
 * @author Rob Fletcher 2005
 */
public class ViewDataAction extends AbstractAction {

	/** The overview in which the new sketch will be placed */
	private Sketch _theSketch;

	/** The primary IDs of the selected rows */
	private int[] selected_IDs;

	/** The JTable holding the selected table's data */
	private SelectDataDialog tableData;

	/**
	 * Prepare the menu option.
	 */
	public ViewDataAction(Sketch inSketch) {
		super("View table contents...");
		_theSketch = inSketch;
		putValue(
			AbstractAction.SHORT_DESCRIPTION,
			"View all of the data held in the table represented by the selected node.");
	}

	/**
	 * @param e The action event
	 */
	public void actionPerformed(ActionEvent e) {
		Object[] currentSelection = _theSketch.getSelectionCells();
		DatabaseDriver dbd;

		if(! (currentSelection[0] instanceof EntityNode) ){
			return;
		}
		EntityNode node = (EntityNode)currentSelection[0];

		DatabaseUtil.selectRowPKs(node.getSketch().getFrame(), node);
	}
}
