package easik.ui.menu.popup;

import java.awt.event.ActionEvent;

import java.util.*;

import java.sql.*;

import javax.swing.AbstractAction;

import easik.database.DatabaseDriver;
import easik.database.export.*;
import easik.database.types.*;
import easik.ui.datamanip.DatabaseUtil;
import easik.view.View;
import easik.view.vertex.QueryNode;

/**
 * Action to trigger displaying the contents of the table represented by a selected entity node.
 */
public class ViewQueryAction extends AbstractAction {

	/** The view in which we are working */
	private View _ourView;

	/** Prepare the menu option. */
	public ViewQueryAction(View inView) {
		super("Display query result...");
		_ourView = inView;
		putValue(
			AbstractAction.SHORT_DESCRIPTION,
			"Display the result of the query represented by this node.");
	}

	/**
	 * @param e The action event
	 */
	public void actionPerformed(ActionEvent e) {
		Object[] currentSelection = _ourView.getSelectionCells();
		DatabaseDriver dbd;

		if ( currentSelection.length != 1 ) {
			return;
		}

		DatabaseUtil.displayQueryNode( (QueryNode) currentSelection[0], _ourView.getFrame() );
	}
}
