<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="globals.xsl"/>

<xsl:output method="xml" encoding="utf-8" doctype-system="http://java.sun.com/products/javahelp/toc_1_0.dtd"
  doctype-public="-//Sun Microsystems Inc.//DTD JavaHelp TOC Version 1.0//EN" indent="yes"/>

<xsl:template match="/toc">
  <toc version="1.0" categoryclosedimage="chapter" topicimage="topic">
	<xsl:apply-templates select="topic"/>
  </toc>
</xsl:template>

<xsl:template match="topic">
  <tocitem>
	<xsl:choose>
	  <xsl:when test="@document">
		<xsl:variable name="base-id" select="substring-before(@document, '.xml')"/>
		<xsl:for-each select="document(concat('../xml/', @document))/help">
		  <xsl:if test="toc-entry"><xsl:attribute name="text"><xsl:value-of select="toc-entry"/></xsl:attribute></xsl:if>
		  <xsl:if test="not(toc-entry) and title"><xsl:attribute name="text"><xsl:value-of select="title"/></xsl:attribute></xsl:if>
		  <xsl:attribute name="target"><xsl:value-of select="$base-id"/></xsl:attribute>
		  <xsl:apply-templates select="section">
			<xsl:with-param name="base-id" select="$base-id"/>
		  </xsl:apply-templates>
		</xsl:for-each>
	  </xsl:when>
	  <xsl:otherwise>
		<xsl:attribute name="text"><xsl:value-of select="@text"/></xsl:attribute>
	  </xsl:otherwise>
	</xsl:choose>
	<xsl:apply-templates select="topic"/>
  </tocitem>
</xsl:template>

<xsl:template match="section">
  <xsl:param name="base-id"/>
  <tocitem>
	<xsl:attribute name="text">
	  <xsl:if test="@toc-entry"><xsl:value-of select="@toc-entry"/></xsl:if>
	  <xsl:if test="not(@toc-entry) and @title"><xsl:value-of select="@title"/></xsl:if>
	</xsl:attribute>
	<xsl:if test="@id">
	  <xsl:attribute name="target"><xsl:value-of select="concat($base-id, '#', @id)"/></xsl:attribute>
	</xsl:if>
	<xsl:apply-templates select="section">
	  <xsl:with-param name="base-id" select="$base-id"/>
	</xsl:apply-templates>
  </tocitem>
</xsl:template>

</xsl:stylesheet>

<!-- vim:sw=2
-->
